Tp::Service::ChannelInterfaceMediaSignallingAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | List of all members
Tp::Service::ChannelInterfaceMediaSignallingAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
Tp::MediaSessionHandlerInfoList | GetSessionHandlers (const QDBusMessage &dbusMessage)

## Signals
void | NewSessionHandler (const QDBusObjectPath &sessionHandler, const QString &sessionType)

## Additional Inherited Members
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.MediaSignalling".

## Member Function Documentation

Tp::MediaSessionHandlerInfoList Tp::Service::ChannelInterfaceMediaSignallingAdaptor::GetSessionHandlers | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `GetSessionHandlers` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getSessionHandlers(const Tp::Service::ChannelInterfaceMediaSignallingAdaptor::GetSessionHandlersContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Returns all currently active session handlers on this channel as a list of (session_handler_path, type).

Returns

void Tp::Service::ChannelInterfaceMediaSignallingAdaptor::NewSessionHandler | ( | const QDBusObjectPath & | sessionHandler,
|  | const QString & | sessionType
| ) |  |
| signal

Represents the exported D-Bus signal `NewSessionHandler` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void newSessionHandler(const QDBusObjectPath& sessionHandler, const QString& sessionType);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  sessionHandler |
      Object path of the new Media.SessionHandler object
  sessionType |
      String indicating type of session, eg &quot;rtp&quot;